#include <stdio.h>
#include <stdlib.h>
int main(){
    int i, n, l;
    scanf("%d %d", &n, &l);
    int a[n];
    for(i=0;i<n;i++) {
        scanf("%d", &a[i]);
    }
    for(i=0;i<n;i++) {
        if(a[i]<=l) {
            printf("%d\n",i+1);
            return 0;
        }
    }
    printf("-1\n");
    return 0;
}